Skip to main content
GET
Get a customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shortName
string
required

Your partner short name

externalUserId
string
required

Your own ID for the customer

Response

externalUserId
string
required
Example:

"cust_8842"

investorId
string
required

Ndovu's investor identifier. Returned for reference; never accepted as input.

Example:

"3f9c2a1e-7b4d-4c8e-9a61-2d5f0b8e4c17"

kycStatus
string
required
Example:

"COMPLETED"

country
string
required
Example:

"KE"

currency
string
required
Example:

"KES"

firstName
string | null
required

null when your identityPolicy is REFERENCED

Example:

"Jane"

lastName
string | null
required

null when your identityPolicy is REFERENCED

Example:

"Wanjiku"

email
string | null
required

null when your identityPolicy is REFERENCED

Example:

"jane.wanjiku@example.com"

phoneNumber
string | null
required

null when your identityPolicy is REFERENCED

Example:

"+254712345678"

kyc
object
required

Fields not yet sent are null

documents
object[]
required
createdAt
string<date-time>
required
Example:

"2026-10-22T09:14:03.511Z"

updatedAt
string<date-time>
required
Example:

"2026-10-22T09:14:03.511Z"